Page MenuHomePhabricator

dispatch: disable line ending normalization on sys.stdin if its None
ClosedPublic

Authored by pulkit on Dec 2 2020, 1:08 PM.

Details

Summary

Fixes test-chg.t on python 3 with chg.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Dec 2 2020, 1:08 PM
Alphare accepted this revision.Dec 7 2020, 4:46 AM
mharbison72 accepted this revision.Dec 10 2020, 12:03 AM
This revision is now accepted and ready to land.Dec 10 2020, 12:03 AM

Does this go away now with 7ce24d3761e8?

Does this go away now with 7ce24d3761e8?

Nope, that tries to fix procutil.stdin and IIUC, this is plain sys.stdin from python sys module.